/*static char *SCCSID = "@(#)pvwkdef.h  6.6 92/05/21";*/
/*      SCCSID = "@(#)pvwkdef.h 6.6 92/05/21" */

/*
 *      Perfview Kernel Entity Definitions
 *
 *      This is an OS/2 2.x specific file
 *
 *      IBM/Microsoft Confidential
 *
 *      Copyright (c) IBM Corporation 1987, 1989
 *      Copyright (c) Microsoft Corporation 1987, 1989
 *
 *      All Rights Reserved
 *
 *      NOTE:   This file is used by both pvwktext.c and pvwkdata.c.  The
 *              definition of PvwKDef() differs in those two files.
 *
 *  10/16/91 Steve Best B728714 Take out counters that were not implemented
 *  10/29/91 Steve Best B729110 Take out vdm group counters
 *  11/14/91 Steve Best aa04447 Take out TmWrt and qlQWrt
 *  03/08/92 Steve Best b734380 Take out sem group and process group
 *  05/11/92 Steve Best aa05233 rename ctready to ctflg
 *  08/20/92 Carlos Romero 51579  replace qlQResident by qctResident
 *  09/16/92 Steve Best 53160   take out tmready
 */


#ifdef CPU
        PvwKDef(tm,cpu,NotIdle)
//b734380PvwKDef(ql,cpu,QRdy)
        PvwKDef(ct,cpu,Sched)
        PvwKDef(ct,cpu,Int)
        PvwKDef(tm,cpu,Int)
#endif

#ifdef MEM
//      PvwKDef(ql,mem,QLen)
//b734380  PvwKDef(ql,mem,QPgFault)
        PvwKDef(ct,mem,PgFault)
        PvwKDef(ct,mem,SwapIn)
        PvwKDef(ct,mem,DemandLd)
        PvwKDef(ct,mem,SwapOut)
        PvwKDef(ct,mem,Discard)

        PvwKDef(ct,mem,Recovered)    //@car
        PvwKDef(ct,mem,Idled)        //@car

//        PvwKDef(ct,mem,Reclaim)  rename to reassigned
        PvwKDef(ct,mem,Reassigned)
//        PvwKDef(ql,mem,QResident)  //51579 remove
        PvwKDef(qct,mem,Resident)    //51579 add

//      PvwKDef(ql,mem,QPresent)     //51579 remove
        PvwKDef(ql,mem,QFree)
//      PvwKDef(ql,mem,QReclaim)     //51579 remove
        PvwKDef(ql,mem,QUsed)        //51579 Add
//      PvwKDef(ql,mem,QDynShare)
#endif

#ifdef FBC
        PvwKDef(ct,fbc,RdHit)
        PvwKDef(ct,fbc,RdMiss)
        PvwKDef(ct,fbc,WrtHit)
        PvwKDef(ct,fbc,WrtMiss)
        PvwKDef(ct,fbc,WrtActiv)
//      PvwKDef(tm,fbc,Wrt)
//      PvwKDef(ql,fbc,QWrt)
        PvwKDef(ct,fbc,Bypass)
#endif


#ifdef FIL
        PvwKDef(ct,fil,Rd)
        PvwKDef(tm,fil,Rd)
        PvwKDef(ct,fil,RdByte)
        PvwKDef(ct,fil,Wrt)
        PvwKDef(tm,fil,Wrt)
        PvwKDef(ct,fil,WrtByte)
#endif


//b734380#ifdef PRC
//b734380        PvwKDef(ql,prc,QPg)
//b734380#endif


#ifdef THD
        PvwKDef(ct,thd,Sched)
        PvwKDef(tm,thd,Run)
        PvwKDef(ct,thd,Flg)
//53160 PvwKDef(tm,thd,Ready)
        PvwKDef(ct,thd,Fault)
        PvwKDef(tm,thd,Fault)
        PvwKDef(tm,thd,FileIOWait)
//      PvwKDef(tm,thd,SemWait)
//b734380 PvwKDef(tm,thd,PipeOWait)
//b734380 PvwKDef(tm,thd,PipeIWait)
//b734380 PvwKDef(tm,thd,PipeCWait)
//      PvwKDef(ql,thd,QOWait)
//      PvwKDef(ql,thd,QIWait)
//b734380 PvwKDef(tm,thd,Sleep)
#endif


//#ifdef WSQ
//        PvwKDef(ct,wsq,Rd)
//        PvwKDef(ql,wsq,QLen)
//#endif


//b734380#ifdef SEM
//b734380        PvwKDef(ct,sem,Set)
//b734380        PvwKDef(tm,sem,Set)
//b734380        PvwKDef(ct,sem,Blk)
//b734380        PvwKDef(tm,sem,Blk)
//b734380#endif


//#ifdef QUE
//        PvwKDef(ct,que,Rd)
//        PvwKDef(tm,que,Rd)
//        PvwKDef(ct,que,Wrt)
//        PvwKDef(ct,que,WrtByte)
//        PvwKDef(ql,que,QLen)
//#endif


//#ifdef VDM
//        PvwKDef(ct,vdm,Int)
//        PvwKDef(ct,vdm,BP)
//        PvwKDef(ct,vdm,V86Trap)
//        PvwKDef(ct,vdm,TrapPage)
//        PvwKDef(ct,vdm,MapPage)
//#endif

#ifdef SPR
        PvwKDef(ct,spr,Spare1)
        PvwKDef(tm,spr,Spare1)
        PvwKDef(ct,spr,Spare2)
        PvwKDef(tm,spr,Spare2)
        PvwKDef(ct,spr,Spare3)
        PvwKDef(tm,spr,Spare3)
        PvwKDef(ct,spr,Spare4)
        PvwKDef(tm,spr,Spare4)
        PvwKDef(ct,spr,Spare5)
        PvwKDef(tm,spr,Spare5)
        PvwKDef(ct,spr,Spare6)
        PvwKDef(tm,spr,Spare6)
        PvwKDef(ct,spr,Spare7)
        PvwKDef(tm,spr,Spare7)
        PvwKDef(ct,spr,Spare8)
        PvwKDef(tm,spr,Spare8)
        PvwKDef(ct,spr,Spare9)
        PvwKDef(tm,spr,Spare9)
        PvwKDef(ct,spr,Spare10)
        PvwKDef(tm,spr,Spare10)
#endif


#ifdef CAL
        PvwKDef(ct,cal,Masm)
        PvwKDef(tm,cal,Masm)
        PvwKDef(ct,cal,C)
        PvwKDef(tm,cal,C)
#endif
